Skip to main content
GET
/
v1
/
legal_holds
/
{legal_hold_id}
Retrieve a legal hold
curl --request GET \
  --url https://api.notion.com/admin/v1/legal_holds/{legal_hold_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Notion-Version: <notion-version>'
import requests

url = "https://api.notion.com/admin/v1/legal_holds/{legal_hold_id}"

headers = {
"Notion-Version": "<notion-version>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'Notion-Version': '<notion-version>', Authorization: 'Bearer <token>'}
};

fetch('https://api.notion.com/admin/v1/legal_holds/{legal_hold_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_time": 123,
  "id": "<string>",
  "start_date": 123,
  "user_interaction_type": [],
  "users": {
    "ids": [
      "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    ],
    "total": 123
  },
  "workspaces": {
    "ids": [
      "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    ],
    "total": 123
  },
  "description": "<string>",
  "end_date": 123,
  "icon": "<string>",
  "name": "<string>"
}
{
"type": "error",
"code": "validation_error",
"status": 400,
"message": "The request body is invalid."
}
{
"type": "error",
"code": "unauthorized",
"status": 401,
"message": "Unauthorized."
}
{
"type": "error",
"code": "forbidden",
"status": 403,
"message": "Forbidden."
}
{
"type": "error",
"code": "not_found",
"status": 404,
"message": "Not found."
}
{
"type": "error",
"code": "rate_limited",
"status": 429,
"message": "Rate limited."
}
{
"type": "error",
"code": "internal_server_error",
"status": 500,
"message": "An unexpected error occurred."
}
The organization bot token must have the following scopes:
  • legal-hold:read

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Notion-Version
enum<string>
required

The Admin API version to use for this request.

Available options:
2026-06-01

Path Parameters

Response

created_by
string<uuid>
required
created_time
number
required
id
string
required
start_date
number
required
status
enum<string>
required
Available options:
active,
released
user_interaction_type
enum<string>[]
required
Available options:
page.created,
page.edited,
page.viewed
users
object
required
workspaces
object
required
description
string
end_date
number
icon
string
name
string